<template>
  <Events label="All events" />
</template>

<script>
import Events from '@/components/Events.vue';
import axiosClient from '@/axiosClient';
import { mapMutations } from 'vuex';
import { get_event } from '@/components/helpers.js';

export default {
  components: {
    Events
  },
  methods: {
    ...mapMutations(['addEvents', 'clearEvents'])
  },
  created() {
    this.clearEvents()
    axiosClient.get('/events')
    .then((response) => {
      let events = [];
      for(let mason_data of response.data.data)
      {
        events.push(get_event(mason_data))
      }
      this.addEvents(events)
    })
    .catch((error) => {
      console.log(error)
    })
  }
}

</script>